
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/pcmcia/3c574_cs.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN drivers/net/pcmcia/3c574_cs.c~pcmcia-id_table-for-3c574_cs drivers/net/pcmcia/3c574_cs.c
--- 25/drivers/net/pcmcia/3c574_cs.c~pcmcia-id_table-for-3c574_cs	2005-02-28 15:48:38.000000000 -0800
+++ 25-akpm/drivers/net/pcmcia/3c574_cs.c	2005-02-28 15:48:38.000000000 -0800
@@ -1283,6 +1283,13 @@ static int el3_close(struct net_device *
 	return 0;
 }
 
+static struct pcmcia_device_id tc574_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x0101, 0x0574),
+	PCMCIA_MFC_DEVICE_CIS_MANF_CARD(0, 0x0101, 0x0556, "3CCFEM556.dat"),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, tc574_ids);
+
 static struct pcmcia_driver tc574_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -1290,6 +1297,7 @@ static struct pcmcia_driver tc574_driver
 	},
 	.attach		= tc574_attach,
 	.detach		= tc574_detach,
+	.id_table       = tc574_ids,
 };
 
 static int __init init_tc574(void)
_
